From bf6d0609625714ed52acf19a007a378645de2faa Mon Sep 17 00:00:00 2001
From: "N.N." <sevyves@users.sourceforge.net>
Date: Sun, 14 Nov 2004 22:52:23 +0000
Subject: PiDiP v 0.12.17

svn path=/trunk/externals/pidip/; revision=2272
---
 configure | 234 +++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 210 insertions(+), 24 deletions(-)

(limited to 'configure')

diff --git a/configure b/configure
index 58d1c98..9058c00 100755
--- a/configure
+++ b/configure
@@ -271,7 +271,7 @@ PACKAGE_VERSION=
 PACKAGE_STRING=
 PACKAGE_BUGREPORT=
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT IMLIB2_CONFIG IMLIB_LIBS IMLIB_CFLAGS IMLIB2_CFLAGS IMLIB2_LIBS PDP_PIDIP_VERSION MAGICK_LIBS MAGICK_CFLAGS PD_DIR PDP_DIR FFMPEG_SOURCE_DIR MPEG4IP_SOURCE_DIR MPEG4IP_CFLAGS PDP_STREAMING_OBJECTS PDP_PIDIP_LIBS PDP_PIDIP_INCLUDES LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SET_MAKE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT IMLIB2_CONFIG IMLIB_LIBS IMLIB_CFLAGS IMLIB2_CFLAGS IMLIB2_LIBS PDP_PIDIP_VERSION MAGICK_LIBS MAGICK_CFLAGS THEORA_LIBS PD_DIR PDP_DIR FFMPEG_SOURCE_DIR MPEG4IP_SOURCE_DIR MPEG4IP_CFLAGS PDP_STREAMING_OBJECTS PDP_PIDIP_LIBS PDP_PIDIP_INCLUDES LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -802,14 +802,16 @@ if test -n "$ac_init_help"; then
 Optional Features:
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
-  --enable-ffmpeg         enable ffmpeg streaming support (no)
-  --enable-mpeg4ip        enable mpeg4ip streaming support (no)
   --enable-maintainer-mode enable make rules and dependencies not useful
                           (and sometimes confusing) to the casual installer
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
+  --with-pd=PATH          pd source tree
+  --with-pdp=PATH         pdp source tree
+  --with-ffmpeg=PATH      ffmpeg source tree
+  --with-mpeg4ip=PATH     mpeg4ip source tree
   --with-dmalloc          use dmalloc, as in
                           ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
   --with-imlib2-prefix=PFX       Prefix where imlib2 is installed (optional)
@@ -1264,27 +1266,96 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
           ac_config_headers="$ac_config_headers include/pidip_config.h"
 
-# Check whether --enable-ffmpeg or --disable-ffmpeg was given.
-if test "${enable_ffmpeg+set}" = set; then
-  enableval="$enable_ffmpeg"
 
-else
-  enable_ffmpeg=no
-fi;
-# Check whether --enable-mpeg4ip or --disable-mpeg4ip was given.
-if test "${enable_mpeg4ip+set}" = set; then
-  enableval="$enable_mpeg4ip"
-
-else
-  enable_mpeg4ip=no
-fi;
-
-PDP_PIDIP_VERSION="0.12.14"
+PDP_PIDIP_VERSION="0.12.17"
 PD_DIR=/usr/local/pd
 PDP_DIR=/usr/local/pd/pdp
 FFMPEG_SOURCE_DIR=/SOURCES/ffmpeg
 MPEG4IP_SOURCE_DIR=/SOURCES/mpeg4ip
 PDP_STREAMING_OBJECTS=
+enable_ffmpeg=no
+enable_mpeg4ip=no
+
+
+# Check whether --with-pdsources or --without-pdsources was given.
+if test "${with_pdsources+set}" = set; then
+  withval="$with_pdsources"
+
+fi;
+if ! test -z "${with_pd}"
+then
+  pd_tree="`cd ${with_pd} 2>/dev/null && pwd`"
+  if test -z "${pd_tree}"
+  then
+      { { echo "$as_me:$LINENO: error: pd sources not found in ${with_pd}" >&5
+echo "$as_me: error: pd sources not found in ${with_pd}" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+   PD_DIR=${pd_tree}
+  fi
+fi
+
+
+# Check whether --with-pdpsources or --without-pdpsources was given.
+if test "${with_pdpsources+set}" = set; then
+  withval="$with_pdpsources"
+
+fi;
+if ! test -z "${with_pdp}"
+then
+  pdp_tree="`cd ${with_pdp} 2>/dev/null && pwd`"
+  if test -z "${pdp_tree}"
+  then
+      { { echo "$as_me:$LINENO: error: pdp sources not found in ${with_pdp}" >&5
+echo "$as_me: error: pdp sources not found in ${with_pdp}" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+   PDP_DIR=${pdp_tree}
+  fi
+fi
+
+
+# Check whether --with-ffmpeg or --without-ffmpeg was given.
+if test "${with_ffmpeg+set}" = set; then
+  withval="$with_ffmpeg"
+
+fi;
+if ! test -z "${with_ffmpeg}"
+then
+  ffmpeg_tree="`cd ${with_ffmpeg} 2>/dev/null && pwd`"
+  if test -z "${ffmpeg_tree}"
+  then
+      { { echo "$as_me:$LINENO: error: ffmpeg sources not found in ${with_ffmpeg}" >&5
+echo "$as_me: error: ffmpeg sources not found in ${with_ffmpeg}" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+   FFMPEG_SOURCE_DIR=${ffmpeg_tree}
+   enable_ffmpeg=yes
+  fi
+fi
+
+
+# Check whether --with-mpeg4ip or --without-mpeg4ip was given.
+if test "${with_mpeg4ip+set}" = set; then
+  withval="$with_mpeg4ip"
+
+fi;
+if ! test -z "${with_mpeg4ip}"
+then
+  mpeg4ip_tree="`cd ${with_mpeg4ip} 2>/dev/null && pwd`"
+  if test -z "${mpeg4ip_tree}"
+  then
+      echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+   { { echo "$as_me:$LINENO: error: mpeg4ip sources not found in ${with_mpeg4ip}" >&5
+echo "$as_me: error: mpeg4ip sources not found in ${with_mpeg4ip}" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+   MPEG4IP_SOURCE_DIR=${mpeg4ip_tree}
+   enable_mpeg4ip=yes
+  fi
+fi
+
 PDP_PIDIP_LIBS="$PDP_PIDIP_LIBS -lbz2 -lz -ldl -lmp3lame -logg -lvorbis -lvorbisenc"
 PDP_PIDIP_INCLUDES="-I$PD_DIR/src -I. -I$PDP_DIR/include -I../include -I../charmaps"
 
@@ -4561,6 +4632,84 @@ echo "$as_me: error: streaming requires vorbis encoder library!!" >&2;}
 fi
 
 
+echo "$as_me:$LINENO: checking for theora_encode_init in -ltheora" >&5
+echo $ECHO_N "checking for theora_encode_init in -ltheora... $ECHO_C" >&6
+if test "${ac_cv_lib_theora_theora_encode_init+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-ltheora -lm $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char theora_encode_init ();
+int
+main ()
+{
+theora_encode_init ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_theora_theora_encode_init=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_theora_theora_encode_init=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_theora_theora_encode_init" >&5
+echo "${ECHO_T}$ac_cv_lib_theora_theora_encode_init" >&6
+if test $ac_cv_lib_theora_theora_encode_init = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBTHEORA 1
+_ACEOF
+
+  LIBS="-ltheora $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: theora library needed! sorry..." >&5
+echo "$as_me: error: theora library needed! sorry..." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
 
 
 MAGICK_LIBS="-L/usr/X11R6/lib -lMagick `Magick-config --libs` `Magick-config --ldflags`"
@@ -4568,13 +4717,49 @@ MAGICK_CFLAGS="-I/usr/X11R6/include `Magick-config --cflags` "
 
 
 
+THEORA_LIBS=""
+if test -f /usr/lib/libtheora.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/lib/libtheora.a"
+fi
+if test -f /usr/local/lib/libtheora.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/local/lib/libtheora.a"
+fi
+if test -f /usr/lib/libogg.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/lib/libogg.a"
+fi
+if test -f /usr/local/lib/libogg.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/local/lib/libogg.a"
+fi
+if test -f /usr/lib/libvorbis.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/lib/libvorbis.a"
+fi
+if test -f /usr/local/lib/libvorbis.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/local/lib/libvorbis.a"
+fi
+if test -f /usr/lib/libvorbisenc.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/lib/libvorbisenc.a"
+fi
+if test -f /usr/local/lib/libvorbisenc.a
+then
+   THEORA_LIBS="$THEORA_LIBS /usr/local/lib/libvorbisenc.a"
+fi
+
+
+
 echo -n "looking for pd sources (required) ... "
 if test -f $PD_DIR/src/m_pd.h
 then
 
   echo "ok."
 else
-  echo "pd source tree not found... install it, fix the path in configure.ac and run autoconf"
+  echo "pd source tree not found... install it and use the --with-pd=<path> configuration option."
   exit -1
 fi
 
@@ -4584,7 +4769,7 @@ then
 
   echo "ok."
 else
-  echo "pdp source tree not found... install it, fix the path in configure.ac and run autoconf"
+  echo "pdp source tree not found... install it and use the --with-pdp=<path> configuration option."
   exit -1
 fi
 
@@ -4594,7 +4779,7 @@ then
   if test -f $FFMPEG_SOURCE_DIR/libavformat/avformat.h
   then
 
-    PDP_STREAMING_OBJECTS="$PDP_STREAMING_OBJECTS pdp_live~.o pdp_ffmpeg~.o"
+    PDP_STREAMING_OBJECTS="pdp_live~.o pdp_ffmpeg~.o"
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_PIDIP_FFMPEG 1
@@ -4604,7 +4789,7 @@ _ACEOF
     PDP_PIDIP_INCLUDES="$PDP_PIDIP_INCLUDES  -I$FFMPEG_SOURCE_DIR/libavcodec -I$FFMPEG_SOURCE_DIR/libavformat"
     echo "ok."
   else
-    echo "ffmpeg source tree not found... install it, fix the path in configure.ac and run autoconf"
+    echo "ffmpeg source tree not found... install it and use the --with-ffmpeg=<path> configuration option."
     exit -1
   fi
 fi
@@ -4615,7 +4800,7 @@ then
    if test -f $MPEG4IP_SOURCE_DIR/server/mp4live/mp4live_common.h
    then
 
-    PDP_STREAMING_OBJECTS="$PDP_STREAMING_OBJECTS pdp_mp4config.o pdp_mp4videosource.o pdp_mp4audiosource.o pdp_mp4live~.o pdp_mp4player~.o pdp_mp4audiosync.o pdp_mp4videosync.o pdp_mp4playermedia.o pdp_mp4playersession.o"
+    PDP_STREAMING_OBJECTS="pdp_mp4config.o pdp_mp4videosource.o pdp_mp4audiosource.o pdp_mp4live~.o pdp_mp4player~.o pdp_mp4audiosync.o pdp_mp4videosync.o pdp_mp4playermedia.o pdp_mp4playersession.o"
 
 cat >>confdefs.h <<\_ACEOF
 #define HAVE_PIDIP_MPEG4IP 1
@@ -4627,7 +4812,7 @@ _ACEOF
 
     echo "ok."
   else
-    echo "mpeg4ip source tree not found... install it, fix the path in configure.ac and run autoconf"
+    echo "mpeg4ip source tree not found... install it and use the --with-mpeg4ip=<path> configuration option."
     exit -1
   fi
 fi
@@ -5275,6 +5460,7 @@ s,@IMLIB2_LIBS@,$IMLIB2_LIBS,;t t
 s,@PDP_PIDIP_VERSION@,$PDP_PIDIP_VERSION,;t t
 s,@MAGICK_LIBS@,$MAGICK_LIBS,;t t
 s,@MAGICK_CFLAGS@,$MAGICK_CFLAGS,;t t
+s,@THEORA_LIBS@,$THEORA_LIBS,;t t
 s,@PD_DIR@,$PD_DIR,;t t
 s,@PDP_DIR@,$PDP_DIR,;t t
 s,@FFMPEG_SOURCE_DIR@,$FFMPEG_SOURCE_DIR,;t t
-- 
cgit v1.2.1